#ifndef STUDENTS_H
#define STUDENTS_H

#include <stdio.h>

struct Student *allocate_array(int n);
void fill_array(int n, struct Student *students);
void print_array(int n,struct Student *students);

void write_array(FILE *file, int n, struct Student *students);
struct Student* read_file_to_array(FILE *file, int n);

void bin_write_array(FILE *file,int n, struct Student *students);
struct Student* bin_read_file_to_array(FILE *file, int n);

#endif
